<template>
  <div class="global">
    <div class="mainContainer">
      <el-tabs v-model="activeName" @tab-click="handleClick">
        <el-tab-pane
          label="设备管理"
          name="DeviceManagement"
        ></el-tab-pane>
        <el-tab-pane
          label="设备管理规范"
          name="DeviceProfile"
        ></el-tab-pane>
        <el-tab-pane label="设备采购" name="DeviceProcurement"></el-tab-pane>
      </el-tabs>
        <div id="main">

        <router-view />
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "EquipementTabs",
  data() {
    return {
      activeName: "DeviceManagement",
    }
  },
  methods: {
    handleClick(tab, event) {
      this.$router.push({
        name: tab.name,
      })
    },
  },
  mounted() {
    this.activeName = this.$route.name
  },
}
</script>
<style lang="scss">
</style>